Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph.impl
Class GraphTransaction.Reader

    java.lang.Object
      java.io.InputStream
          de.grogra.util.HierarchicalQueue.Reader
              de.grogra.persistence.XAQueue.Reader
                  de.grogra.persistence.Transaction.Reader
                      de.grogra.graph.impl.GraphTransaction.Reader

All Implemented Interfaces:
  PersistenceInput, java.io.Closeable, java.io.DataInput, java.io.ObjectInput

Enclosing class:
  GraphTransaction

    public class GraphTransaction.Reader

extends Transaction.Reader

Field Summary

Fields inherited from class de.grogra.persistence.Transaction.Reader
`indirectField`

Fields inherited from class de.grogra.util.HierarchicalQueue.Reader
`in`

Fields inherited from interface de.grogra.persistence.PersistenceInput
`ARRAY_OBJECT, MANAGEABLE_OBJECT, MIN_UNUSED_KIND, NULL_OBJECT, PERSISTENT_OBJECT_ID, PLAIN_OBJECT, SERIALIZED_OBJECT, SHARED_OBJECT_REFERENCE, STRING_OBJECT`

Method Summary
`protected void` | `supply(int item, Transaction.Consumer c)`
`protected void` | `supplyInverse(int item, Transaction.Consumer c)`

Methods inherited from class de.grogra.persistence.Transaction.Reader
`getTransaction, skipAndReadBoolean, skipAndReadByte, skipAndReadChar, skipAndReadDouble, skipAndReadFloat, skipAndReadInt, skipAndReadLong, skipAndReadShort, supply, supplyInverse`

Methods inherited from class de.grogra.persistence.XAQueue.Reader
`areFieldsProvided, beginArray, beginComponent, beginField, beginManaged, close, endArray, endComponent, endField, endManaged, getBindings, getNextObjectKind, getQueue, open, readName, readObject, readPersistentObject, readPersistentObjectId, readSharedObject, readString, resolveId, setNested`

Methods inherited from class de.grogra.util.HierarchicalQueue.Reader
`available, enter, isAt, leave, moveTo, moveToCurrent, next, peekByte, peekDouble, peekFloat, peekInt, peekLong, peekObject, popCursor, previous, pushCursor, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readItem, readLine, readLong, readObject, readObjectInQueue, readObjectInStream, readShort, readSkipBlock, readUnsignedByte, readUnsignedShort, readUTF, resetCursor, skip, skipBlock, skipBoolean, skipByte, skipBytes, skipChar, skipDouble, skipFloat, skipInt, skipLong, skipObjectInQueue, skipShort, skipUTF`

Methods inherited from class java.io.InputStream
`mark, markSupported, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceInput
`readBoolean, readByte, readChar, readDouble, readFloat, readInt, readLong, readShort, readUnsignedByte, readUnsignedShort`

Method Detail

### supply

    protected void supply(int item,
                          Transaction.Consumer c)
                   throws java.io.IOException

  Overrides:
    `supply` in class `Transaction.Reader`
  Throws:
    `java.io.IOException`

### supplyInverse

    protected void supplyInverse(int item,
                                 Transaction.Consumer c)
                          throws java.io.IOException

  Overrides:
    `supplyInverse` in class `Transaction.Reader`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD